summaryrefslogtreecommitdiff
path: root/libio/test-freopen.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-11-17 00:27:46 +0000
committerUlrich Drepper <drepper@redhat.com>2000-11-17 00:27:46 +0000
commit897d4284e9abcd5effe2d8b5f9cd3685d351a5d2 (patch)
tree32f4ea6d77c8e9247677a571c0d2add3a9f5d154 /libio/test-freopen.sh
parent0bdfed74af5d792911a3a94e2e28dde398f7e61e (diff)
Update.
* libio/Makefile: Add rules to build and run test-freopen. * libio/test-freopen.c: New file. * libio/test-freopen.sh: New file.
Diffstat (limited to 'libio/test-freopen.sh')
-rwxr-xr-xlibio/test-freopen.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/libio/test-freopen.sh b/libio/test-freopen.sh
new file mode 100755
index 0000000000..86ce0c5260
--- /dev/null
+++ b/libio/test-freopen.sh
@@ -0,0 +1,31 @@
+#! /bin/sh
+# Test of freopen.
+# Copyright (C) 2000 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1
+objpfx=$2
+
+${common_objpfx}elf/ld.so --library-path $common_objpfx \
+${objpfx}test-freopen ${objpfx}test-freopen.out &&
+cmp ${objpfx}test-freopen.out - <<"EOF"
+Hello world (mb)
+Hello world (wc)
+EOF
+
+exit $?